Subject: Re: make headers_install broken for ARCH=m68k in 2.6.29-rc7.

From: Sam Ravnborg <[email-masked]>
Date: Thu, 12 Mar 2009 21:58:26 +0100

> > And if you look up the content of "include/asm-generic/Kbuild.asm"
> 
> Ah, I was grepping for header-y and this is full of unifdef-y, so I didn't 
> look too closely at this file.  (I did glance at it, but the first thing I saw 
> was "errno.h" and there's an errno.h in the include/asm-generic directory, so 
> I thought it was describing itself.  I presume it tries the arch one first and 
> falls back to asm-generic if it's not there?)
No - it uses what it is told to use. Look again.
We have in asm-generic two files:
Kbuild <= what is exported always and located in asm-generic
Kbuild.asm <= exported from archs asm - just a common list of file names
> 
> 
> Seems kind of silly to let git grind away downloading hundreds of megabytes of 
> history that'll just get wiped (especially since that tree gets regenerated 
> nightly), but oh well.  Assuming that kernel development is git-centric enough 
> that a tarball version of a regenerated nightly resource just never seemed 
> important, said git repository would be on git.kernel.org, but where...
> linux/kernel/git/eranian/linux-next.git isn't it...
> linux/kernel/git/mchehab/linux-next.git isn't it...
> Ah, linux/kernel/git/sfr/linux-next.git is the one I'm looking for.  Now where 
> was the magic incantation to translate from the web url to a git url...  Ah, 
> at the top of the page.

Usual people read the announcement mails from Stephen and follow the instructions there.
And many people keep an updated git tree around speeding up the process.

I cannot remember when I clone a full kernel tree - long time ago for sure.

	Sam